1.22.5.0
	* Don't recompile C sources unless needed (#2601). (Luke Iannini)
	* Support Haddock response files.
	* Add frameworks when linking a dynamic library.

1.22.4.0 Ryan Thomas <ryan@ryant.org> June 2015
	* Add libname install-dirs variable, use it by default. Fixes #2437. (Edward Z. Yang)
	* Reduce temporary directory name length, fixes #2502. (Edward Z. Yang)
	* Workaround for #2527. (Mikhail Glushenkov)

1.22.3.0 Ryan Thomas <ryan@ryant.org> April 2015
	* Fix for the ghcjs-pkg version number handling (Luite Stegeman)
	* filterConfigureFlags: filter more flags (Mikhail Glushenkov)
	* Cabal check will fail on -fprof-auto passed as a ghc-option - Fixes #2479 (John Chee)

1.22.2.0 Ryan Thomas <ryan@ryant.org> March 2015
	* Don't pass '--{en,dis}able-profiling' to old setup.
	* Add -Wall police
	* Fix dependencies on 'old-time'
	* Fix test interface detailed-0.9 with GHC 7.10
	* Fix HPC tests with GHC 7.10
	* Make sure to pass the package key to ghc
	* Use --package-{name|version} when available for Haddock when available
	* Put full package name and version in library names
	* Fully specify package key format, so external tools can generate it.

1.22.0.0 Johan Tibell <johan.tibell@gmail.com> January 2015
	* Support GHC 7.10.
	* Experimental support for emitting DWARF debug info.
	* Preliminary support for relocatable packages.
	* Allow cabal to be used inside cabal exec enviroments.
	* hpc: support mutliple "ways" (e.g. profiling and vanilla).
	* Support GHCJS.
	* Improved command line documentation.
	* Add '-none' constraint syntax for version ranges (#2093).
	* Make the default doc index file path compiler/arch/os-dependent
	(#2136).
	* Warn instead of dying when generating documentation and hscolour
	isn't installed (455f51622fa38347db62197a04bb0fa5b928ff17).
	* Support the new BinaryLiterals extension
	(1f25ab3c5eff311ada73c6c987061b80e9bbebd9).
	* Warn about 'ghc-prof-options: -auto-all' in 'cabal check' (#2162).
	* Add preliminary support for multiple instances of the same package
	version installed side-by-side (#2002).
	* New binary build config format - faster build times (#2076).
	* Support module thinning and renaming (#2038).
	* Add a new license type: UnspecifiedLicense (#2141).
	* Remove support for Hugs and nhc98 (#2168).
	* Invoke 'tar' with '--formar ustar' if possible in 'sdist' (#1903).
	* Replace --enable-library-coverage with --enable-coverage, which
	enables program coverage for all components (#1945).
	* Suggest that `ExitFailure 9` is probably due to memory
	exhaustion (#1522).
	* Drop support for Haddock < 2.0 (#1808, #1718).
	* Make 'cabal test'/'cabal bench' build only what's needed for
	running tests/benchmarks (#1821).
	* Build shared libraries by default when linking executables dynamically.
	* Build profiled libraries by default when profiling executables.

1.20.0.1 Johan Tibell <johan.tibell@gmail.com> May 2014
	* Fix streaming test output.

1.20.0.0 Johan Tibell <johan.tibell@gmail.com> April 2014
	* Rewrite user guide
	* Fix repl Ctrl+C handling
	* Add haskell-suite compiler support
	* Add __HADDOCK_VERSION__ define
	* Allow specifying exact dependency version using hash
	* Rename extra-html-files to extra-doc-files
	* Add parallel build support for GHC 7.8 and later
	* Don't call ranlib on OS X
	* Avoid re-linking executables, test suites, and benchmarks
	unnecessarily, shortening build times
	* Add --allow-newer which allows upper version bounds to be
	ignored
	* Add --enable-library-stripping
	* Add command for freezing dependencies
	* Allow repl to be used outside Cabal packages
	* Add --require-sandbox
	* Don't use --strip-unneeded on OS X or iOS
	* Add new license-files field got additional licenses
	* Fix if(solaris) on some Solaris versions
	* Don't use -dylib-install-name on OS X with GHC > 7.8
	* Add DragonFly as a known OS
	* Improve pretty-printing of Cabal files
	* Add test flag --show-details=streaming for real-time test output
	* Add exec command

1.10.2.0 Duncan Coutts <duncan@community.haskell.org> June 2011
	* Include test suites in cabal sdist
	* Fix for conditionals in test suite stanzas in .cabal files
	* Fix permissions of directories created during install
	* Fix for global builds when $HOME env var is not set

1.10.1.0 Duncan Coutts <duncan@community.haskell.org> February 2011
	* Improved error messages when test suites are not enabled
	* Template parameters allowed in test --test-option(s) flag
	* Improved documentation of the test feature
	* Relaxed QA check on cabal-version when using test-suite sections
	* haddock command now allows both --hoogle and --html at the same time
	* Find ghc-version-specific instances of the hsc2hs program
	* Preserve file executable permissions in sdist tarballs
	* Pass gcc location and flags to ./configure scripts
	* Get default gcc flags from ghc

1.10.0.0 Duncan Coutts <duncan@haskell.org> November 2010
	* New cabal test feature
	* Initial support for UHC
	* New default-language and other-languages fields (e.g. Haskell98/2010)
	* New default-extensions and other-extensions fields
	* Deprecated extensions field (for packages using cabal-version >=1.10)
	* Cabal-version field must now only be of the form ">= x.y"
	* Removed deprecated --copy-prefix= feature
	* Auto-reconfigure when .cabal file changes
	* Workaround for haddock overwriting .hi and .o files when using TH
	* Extra cpp flags used with hsc2hs and c2hs (-D${os}_BUILD_OS etc)
	* New cpp define VERSION_<package> gives string version of dependencies
	* User guide source now in markdown format for easier editing
	* Improved checks and error messages for C libraries and headers
	* Removed BSD4 from the list of suggested licenses
	* Updated list of known language extensions
	* Fix for include paths to allow C code to import FFI stub.h files
	* Fix for intra-package dependencies on OSX
	* Stricter checks on various bits of .cabal file syntax
	* Minor fixes for c2hs

1.8.0.6 Duncan Coutts <duncan@haskell.org> June 2010
	* Fix 'register --global/--user'

1.8.0.4 Duncan Coutts <duncan@haskell.org> March 2010
	* Set dylib-install-name for dynalic libs on OSX
	* Stricter configure check that compiler supports a package's extensions
	* More configure-time warnings
	* Hugs can compile Cabal lib again
	* Default datadir now follows prefix on Windows
	* Support for finding installed packages for hugs
	* Cabal version macros now have proper parenthesis
	* Reverted change to filter out deps of non-buildable components
	* Fix for registering implace when using a specific package db
	* Fix mismatch between $os and $arch path template variables
	* Fix for finding ar.exe on Windows, always pick ghc's version
	* Fix for intra-package dependencies with ghc-6.12

1.8.0.2 Duncan Coutts <duncan@haskell.org> December 2009
	* Support for GHC-6.12
	* New unique installed package IDs which use a package hash
	* Allow executables to depend on the lib within the same package
	* Dependencies for each component apply only to that component
	  (previously applied to all the other components too)
	* Added new known license MIT and versioned GPL and LGPL
	* More liberal package version range syntax
	* Package registration files are now UTF8
	* Support for LHC and JHC-0.7.2
	* Deprecated RecordPuns extension in favour of NamedFieldPuns
	* Deprecated PatternSignatures extension in favor of ScopedTypeVariables
	* New VersionRange semantic view as a sequence of intervals
	* Improved package quality checks
	* Minor simplification in a couple Setup.hs hooks
	* Beginnings of a unit level testsuite using QuickCheck
	* Various bug fixes
	* Various internal cleanups

1.6.0.2 Duncan Coutts <duncan@haskell.org> February 2009
	* New configure-time check for C headers and libraries
	* Added language extensions present in ghc-6.10
	* Added support for NamedFieldPuns extension in ghc-6.8
	* Fix in configure step for ghc-6.6 on Windows
	* Fix warnings in Path_pkgname.hs module on Windows
	* Fix for exotic flags in ld-options field
	* Fix for using pkg-config in a package with a lib and an executable
	* Fix for building haddock docs for exes that use the Paths module
	* Fix for installing header files in subdirectories
	* Fix for the case of building profiling libs but not ordinary libs
	* Fix read-only attribute of installed files on Windows
	* Ignore ghc -threaded flag when profiling in ghc-6.8 and older

1.6.0.1 Duncan Coutts <duncan@haskell.org> October 2008
	* Export a compat function to help alex and happy

1.6.0.0 Duncan Coutts <duncan@haskell.org> October 2008
	* Support for ghc-6.10
	* Source control repositories can now be specified in .cabal files
	* Bug report URLs can be now specified in .cabal files
	* Wildcards now allowed in data-files and extra-source-files fields
	* New syntactic sugar for dependencies "build-depends: foo ==1.2.*"
	* New cabal_macros.h provides macros to test versions of dependencies
	* Relocatable bindists now possible on unix via env vars
	* New 'exposed' field allows packages to be not exposed by default
	* Install dir flags can now use $os and $arch variables
	* New --builddir flag allows multiple builds from a single sources dir
	* cc-options now only apply to .c files, not for -fvia-C
	* cc-options are not longer propagated to dependent packages
	* The cpp/cc/ld-options fields no longer use ',' as a separator
	* hsc2hs is now called using gcc instead of using ghc as gcc
	* New api for manipulating sets and graphs of packages
	* Internal api improvements and code cleanups
	* Minor improvements to the user guide
	* Miscellaneous minor bug fixes

1.4.0.2 Duncan Coutts <duncan@haskell.org> August 2008
	* Fix executable stripping default
	* Fix striping exes on OSX that export dynamic symbols (like ghc)
	* Correct the order of arguments given by --prog-options=
	* Fix corner case with overlapping user and global packages
	* Fix for modules that use pre-processing and .hs-boot files
	* Clarify some points in the user guide and readme text
	* Fix verbosity flags passed to sub-command like haddock
	* Fix sdist --snapshot
	* Allow meta-packages that contain no modules or C code
	* Make the generated Paths module -Wall clean on Windows

1.4.0.1 Duncan Coutts <duncan@haskell.org> June 2008
	* Fix a bug which caused '.' to always be in the sources search path
	* Haddock-2.2 and later do now support the --hoogle flag

1.4.0.0 Duncan Coutts <duncan@haskell.org> June 2008
	* Rewritten command line handling support
	* Command line completion with bash
	* Better support for Haddock 2
	* Improved support for nhc98
	* Removed support for ghc-6.2
	* Haddock markup in .lhs files now supported
	* Default colour scheme for highlighted source code
	* Default prefix for --user installs is now $HOME/.cabal
	* All .cabal files are treaded as UTF-8 and must be valid
	* Many checks added for common mistakes
	* New --package-db= option for specific package databases
	* Many internal changes to support cabal-install
	* Stricter parsing for version strings, eg dissalows "1.05"
	* Improved user guide introduction
	* Programatica support removed
	* New options --program-prefix/suffix allows eg versioned programs
	* Support packages that use .hs-boot files
	* Fix sdist for Main modules that require preprocessing
	* New configure -O flag with optimisation level 0--2
	* Provide access to "x-" extension fields through the Cabal api
	* Added check for broken installed packages
	* Added warning about using inconsistent versions of dependencies
	* Strip binary executable files by default with an option to disable
	* New options to add site-specific include and library search paths
	* Lift the restriction that libraries must have exposed-modules
	* Many bugs fixed.
	* Many internal structural improvements and code cleanups

1.2.4.0 Duncan Coutts <duncan@haskell.org> June 2008
	* Released with GHC 6.8.3
	* Backported several fixes and minor improvements from Cabal-1.4
	* Use a default colour scheme for sources with hscolour >=1.9
	* Support --hyperlink-source for Haddock >= 2.0
	* Fix for running in a non-writable directory
	* Add OSX -framework arguments when linking executables
	* Updates to the user guide
	* Allow build-tools names to include + and _
	* Export autoconfUserHooks and simpleUserHooks
	* Export ccLdOptionsBuildInfo for Setup.hs scripts
	* Export unionBuildInfo and make BuildInfo an instance of Monoid
	* Fix to allow the 'main-is' module to use a pre-processor

1.2.3.0 Duncan Coutts <duncan@haskell.org> Nov 2007
	* Released with GHC 6.8.2
	* Includes full list of GHC language extensions
	* Fix infamous "dist/conftest.c" bug
	* Fix configure --interfacedir=
	* Find ld.exe on Windows correctly
	* Export PreProcessor constructor and mkSimplePreProcessor
	* Fix minor bug in unlit code
	* Fix some markup in the haddock docs

1.2.2.0 Duncan Coutts <duncan@haskell.org> Nov 2007
	* Released with GHC 6.8.1
	* Support haddock-2.0
	* Support building DSOs with GHC
	* Require reconfiguring if the .cabal file has changed
	* Fix os(windows) configuration test
	* Fix building documentation
	* Fix building packages on Solaris
	* Other minor bug fixes

1.2.1 Duncan Coutts <duncan@haskell.org> Oct 2007
	* To be included in GHC 6.8.1
	* New field "cpp-options" used when preprocessing Haskell modules
	* Fixes for hsc2hs when using ghc
	* C source code gets compiled with -O2 by default
	* OS aliases, to allow os(windows) rather than requiring os(mingw32)
	* Fix cleaning of 'stub' files
	* Fix cabal-setup, command line ui that replaces "runhaskell Setup.hs"
	* Build docs even when dependent packages docs are missing
	* Allow the --html-dir to be specified at configure time
	* Fix building with ghc-6.2
	* Other minor bug fixes and build fixes

1.2.0  Duncan Coutts <duncan.coutts@worc.ox.ac.uk> Sept 2007
	* To be included in GHC 6.8.x
	* New configurations feature
	* Can make haddock docs link to hilighted sources (with hscolour)
	* New flag to allow linking to haddock docs on the web
	* Supports pkg-config
	* New field "build-tools" for tool dependencies
	* Improved c2hs support
	* Preprocessor output no longer clutters source dirs
	* Separate "includes" and "install-includes" fields
	* Makefile command to generate makefiles for building libs with GHC
	* New --docdir configure flag
	* Generic --with-prog --prog-args configure flags
	* Better default installation paths on Windows
	* Install paths can be specified relative to each other
	* License files now installed
	* Initial support for NHC (incomplete)
	* Consistent treatment of verbosity
	* Reduced verbosity of configure step by default
	* Improved helpfulness of output messages
	* Help output now clearer and fits in 80 columns
	* New setup register --gen-pkg-config flag for distros
	* Major internal refactoring, hooks api has changed
	* Dozens of bug fixes

1.1.6.2 Duncan Coutts <duncan.coutts@worc.ox.ac.uk> May 2007
	* Released with GHC 6.6.1
	* Handle windows text file encoding for .cabal files
	* Fix compiling a executable for profiling that uses Template Haskell
	* Other minor bug fixes and user guide clarifications

1.1.6.1 Duncan Coutts <duncan.coutts@worc.ox.ac.uk> Oct 2006
	* fix unlit code
	* fix escaping in register.sh

1.1.6  Duncan Coutts <duncan.coutts@worc.ox.ac.uk> Oct 2006
	* Released with GHC 6.6
	* Added support for hoogle
	* Allow profiling and normal builds of libs to be chosen indepentantly
	* Default installation directories on Win32 changed
	* Register haddock docs with ghc-pkg
	* Get haddock to make hyperlinks to dependent package docs
	* Added BangPatterns language extension
	* Various bug fixes

1.1.4  Duncan Coutts <duncan.coutts@worc.ox.ac.uk> May 2006
	* Released with GHC 6.4.2
	* Better support for packages that need to install header files
	* cabal-setup added, but not installed by default yet
	* Implemented "setup register --inplace"
	* Have packages exposed by default with ghc-6.2
	* It is no longer necessary to run 'configure' before 'clean' or 'sdist'
	* Added support for ghc's -split-objs
	* Initial support for JHC
	* Ignore extension fields in .cabal files (fields begining with "x-")
	* Some changes to command hooks API to improve consistency
	* Hugs support improvements
	* Added GeneralisedNewtypeDeriving language extension
	* Added cabal-version field
	* Support hidden modules with haddock
	* Internal code refactoring
	* More bug fixes

1.1.3  Isaac Jones  <ijones@syntaxpolice.org> Sept 2005
	* WARNING: Interfaces not documented in the user's guide may
	  change in future releases.
	* Move building of GHCi .o libs to the build phase rather than
	register phase. (from Duncan Coutts)
	* Use .tar.gz for source package extension
	* Uses GHC instead of cpphs if the latter is not available
	* Added experimental "command hooks" which completely override the
	default behavior of a command.
	* Some bugfixes

1.1.1  Isaac Jones  <ijones@syntaxpolice.org> July 2005
	* WARNING: Interfaces not documented in the user's guide may
	  change in future releases.
 	* Handles recursive modules for GHC 6.2 and GHC 6.4.
	* Added "setup test" command (Used with UserHook)
	* implemented handling of _stub.{c,h,o} files
	* Added support for profiling
	* Changed install prefix of libraries (pref/pkgname-version
	  to prefix/pkgname-version/compname-version)
	* Added pattern guards as a language extension
	* Moved some functionality to Language.Haskell.Extension
	* Register / unregister .bat files for windows
	* Exposed more of the API
	* Added support for the hide-all-packages flag in GHC > 6.4
	* Several bug fixes

1.0  Isaac Jones  <ijones@syntaxpolice.org> March 11 2005
	* Released with GHC 6.4, Hugs March 2005, and nhc98 1.18
	* Some sanity checking

0.5  Isaac Jones  <ijones@syntaxpolice.org> Wed Feb 19 2005
	* WARNING: this is a pre-release and the interfaces are still
	likely to change until we reach a 1.0 release.
	* Hooks interfaces changed
	* Added preprocessors to user hooks
	* No more executable-modules or hidden-modules.  Use
	"other-modules" instead.
	* Certain fields moved into BuildInfo, much refactoring
	* extra-libs -> extra-libraries
	* Added --gen-script to configure and unconfigure.
	* modules-ghc (etc) now ghc-modules (etc)
	* added new fields including "synopsis"
	* Lots of bug fixes
	* spaces can sometimes be used instead of commas
	* A user manual has appeared (Thanks, ross!)
	* for ghc 6.4, configures versionsed depends properly
	* more features to ./setup haddock

0.4  Isaac Jones  <ijones@syntaxpolice.org> Sun Jan 16 2005

	* Much thanks to all the awesome fptools hackers who have been
	working hard to build the Haskell Cabal!

	* Interface Changes:

	** WARNING: this is a pre-release and the interfaces are still
	likely to change until we reach a 1.0 release.

	** Instead of Package.description, you should name your
	description files <something>.cabal.  In particular, we suggest
	that you name it <packagename>.cabal, but this is not enforced
	(yet).  Multiple .cabal files in the same directory is an error,
	at least for now.

	** ./setup install --install-prefix is gone.  Use ./setup copy
	--copy-prefix instead.

	** The "Modules" field is gone.  Use "hidden-modules",
	"exposed-modules", and "executable-modules".

	** Build-depends is now a package-only field, and can't go into
	executable stanzas.  Build-depends is a package-to-package
	relationship.

	** Some new fields.  Use the Source.

	* New Features

	** Cabal is now included as a package in the CVS version of
	fptools.  That means it'll be released as "-package Cabal" in
	future versions of the compilers, and if you are a bleeding-edge
	user, you can grab it from the CVS repository with the compilers.

	** Hugs compatibility and NHC98 compatibility should both be
	improved.

	** Hooks Interface / Autoconf compatibility: Most of the hooks
	interface is hidden for now, because it's not finalized.  I have
	exposed only "defaultMainWithHooks" and "defaultUserHooks".  This
	allows you to use a ./configure script to preprocess
	"foo.buildinfo", which gets merged with "foo.cabal".  In future
	releases, we'll expose UserHooks, but we're definitely going to
	change the interface to those.  The interface to the two functions
	I've exposed should stay the same, though.

	** ./setup haddock is a baby feature which pre-processes the
	source code with hscpp and runs haddock on it.  This is brand new
	and hardly tested, so you get to knock it around and see what you
	think.

	** Some commands now actually implement verbosity.

	** The preprocessors have been tested a bit more, and seem to work
	OK.  Please give feedback if you use these.

0.3  Isaac Jones  <ijones@syntaxpolice.org> Sun Jan 16 2005
	* Unstable snapshot release
	* From now on, stable releases are even.

0.2  Isaac Jones  <ijones@syntaxpolice.org>

	* Adds more HUGS support and preprocessor support.
